%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  poolfstat
%global packver   3.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          3.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Computing f-Statistics and Building Admixture Graphs Based on Allele Count or Pool-Seq Read Count Data

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.0
Requires:         R-core >= 3.0
BuildRequires:    R-CRAN-Rcpp >= 1.0.5
BuildRequires:    R-methods 
BuildRequires:    R-CRAN-data.table 
BuildRequires:    R-utils 
BuildRequires:    R-CRAN-foreach 
BuildRequires:    R-CRAN-doParallel 
BuildRequires:    R-parallel 
BuildRequires:    R-CRAN-DiagrammeR 
BuildRequires:    R-CRAN-ape 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-Ryacas 
BuildRequires:    R-CRAN-Matrix 
BuildRequires:    R-CRAN-RcppProgress 
BuildRequires:    R-CRAN-progress 
BuildRequires:    R-CRAN-nnls 
Requires:         R-CRAN-Rcpp >= 1.0.5
Requires:         R-methods 
Requires:         R-CRAN-data.table 
Requires:         R-utils 
Requires:         R-CRAN-foreach 
Requires:         R-CRAN-doParallel 
Requires:         R-parallel 
Requires:         R-CRAN-DiagrammeR 
Requires:         R-CRAN-ape 
Requires:         R-stats 
Requires:         R-CRAN-Ryacas 
Requires:         R-CRAN-Matrix 
Requires:         R-CRAN-RcppProgress 
Requires:         R-CRAN-progress 
Requires:         R-CRAN-nnls 

%description
Functions for the computation of F-, f- and D-statistics (e.g., Fst,
hierarchical F-statistics, Patterson's F2, F3, F3*, F4 and D parameters)
in population genomics studies from allele count or Pool-Seq read count
data and for the fitting, building and visualization of admixture graphs.
The package also includes several utilities to manipulate Pool-Seq data
stored in standard format (e.g., such as 'vcf' files or 'rsync' files
generated by the the 'PoPoolation' software) and perform conversion to
alternative format (as used in the 'BayPass' and 'SelEstim' software). As
of version 2.0, the package also includes utilities to manipulate standard
allele count data (e.g., stored in TreeMix, BayPass and SelEstim format).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
